package com.base.plan.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.base.plan.model.entity.WindowResource;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.sql.Wrapper;
import java.util.List;

@Mapper
@Repository
public interface WindowResourceMapper extends BaseMapper<WindowResource> {

    default void deleteByStripIds(List<String> stripIds) {
        QueryWrapper<WindowResource> windowResourceWrapper = new QueryWrapper<>();
        windowResourceWrapper.in("window_id",stripIds);
        this.delete(windowResourceWrapper);
    }

}
